{ lib
, pkgsUnstable
, config
, ...
}:

{
  options.home.git = {
    userName = lib.mkOption {
      type = lib.types.str;
      default = "Armel van Ravels";
      description = "Default git user.name for this user";
    };

    userEmail = lib.mkOption {
      type = lib.types.str;
      default = "armel@armel.nl";
      description = "Default git user.email for this user";
    };
  };

  config = {
    programs.git = {
      enable = true;
      package = pkgsUnstable.git;
      settings.user = {
        name = config.home.git.userName;
        email = config.home.git.userEmail;
      };
    };
  };
}
